package com.tzld.piaoquan.recommend.server.common.base;


import lombok.Getter;
import lombok.NoArgsConstructor;

@Getter
@NoArgsConstructor
public class RequestContext {

    private String request_id;
    // 机型等信息
    private String apptype;
    private String machineinfo_brand;
    private String machineinfo_model;
    private String machineinfo_platform;
    private String machineinfo_sdkversion;
    private String machineinfo_system;
    private String machineinfo_wechatversion;

    // 时间等信息
    private String day;
    private String week;
    private String hour;
    private String region;
    private String city;

    public void setApptype(String apptype) {
        this.apptype = apptype;
        if (apptype == null)
            this.apptype = "-1";
    }

    public void setMachineinfo_brand(String machineinfo_brand) {
        this.machineinfo_brand = machineinfo_brand;
        if (machineinfo_brand == null)
            this.machineinfo_brand = "-1";
    }

    public void setMachineinfo_model(String machineinfo_model) {
        this.machineinfo_model = machineinfo_model;
        if (machineinfo_model == null)
            this.machineinfo_model = "-1";
    }


    public void setMachineinfo_wechatversion(String machineinfo_wechatversion) {
        this.machineinfo_wechatversion = machineinfo_wechatversion;
        if (machineinfo_wechatversion == null)
            this.machineinfo_wechatversion = "-1";
    }


    public void setMachineinfo_sdkversion(String machineinfo_sdkversion) {
        this.machineinfo_sdkversion = machineinfo_sdkversion;
        if (machineinfo_sdkversion == null)
            this.machineinfo_sdkversion = "-1";
    }

    public void setMachineinfo_platform(String machineinfo_platform) {
        this.machineinfo_platform = machineinfo_platform;
        if (machineinfo_platform == null)
            this.machineinfo_platform = "-1";
    }

    public void setMachineinfo_system(String machineinfo_system) {
        this.machineinfo_system = machineinfo_system;
        if (machineinfo_system == null)
            this.machineinfo_system = "-1";
    }


    public void setHour(String hour) {
        this.hour = hour;
        if (hour == null)
            this.hour = "-1";
    }


    public void setDay(String day) {
        this.day = day;
        if (day == null)
            this.day = "-1";
    }

    public void setWeek(String week) {
        this.week = week;
        if (week == null)
            this.week = "-1";
    }


    public void setRegion(String region) {
        this.region = region;
        if (region == null)
            this.region = "-1";
    }


    public void setCity(String city) {
        this.city = city;
        if (city == null)
            this.city = "-1";
    }


}
