package com.tzld.piaoquan.recommend.server.model;

import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author dyp
 */

@NoArgsConstructor
@Getter
@Setter
public class RecommendParam {
    private int topK;
    private double flowPoolP;
    private String abCode;
    private String ruleKey;
    private String dataKey;
    private int flowPoolId;
    private String flowPoolAbtestGroup;
    private String rankKeyPrefix;
    private int appType;
    private Long videoId;
    private String cityCode;
    private String provinceCode;
    private String mid;
    private int size;
    private String uid;

    // 风险过滤
    private int expansionFactor;
    private Boolean riskFilterFlag;
    private Map<Integer, List<String>> appRegionFiltered;
    private List<Long> videosWithRisk;
    private String regionCode;
}
