package com.tzld.piaoquan.recommend.server.service.filter;

import lombok.Data;

import java.util.List;
import java.util.Map;

/**
 * @author dyp
 */
@Data
public class FilterParam {
    private List<Long> videoIds;
    private Map<Long, String> flowPoolMap;
    private int appType;
    private String mid;
    private String uid;

    // 风险过滤
    private Boolean riskFilterFlag;
    private Map<Integer, List<String>> appRegionFiltered;
    private List<Long> videosWithRisk;
    private String regionCode;
}
